
# 조직 도메인 조회

`GET /v1/organization-domains/{domain_id}` · 권한 `organization-domains:read`

조직 도메인을 반환합니다.

## 요청

| 필드 | 유형 | 필수 | 설명 |
|---|---|---|---|
| `domain_id` | path | 예 | 조직 도메인 ID(`odm_…`)입니다. |

요청 본문은 없습니다.

## 응답

`200 OK`와 함께 도메인 및 `ETag` 헤더를 반환합니다.

```json
{
  "id": "odm_01j9xk3m7q8r2s4t6v8w0y2z4c",
  "organization_id": "org_01j9xk3m7q8r2s4t6v8w0y2z4a",
  "domain": "acme.com",
  "status": "verified",
  "verification_method": "dns_txt",
  "txt_record_name": "_akp-verify.acme.com",
  "txt_record_value": "idp-verify=EXAMPLEtokenEXAMPLEtokenEXAMPLEtokenEXAMPLEtok",
  "verification_started_at": "2026-10-12T09:30:00.123456Z",
  "verified_at": "2026-10-12T09:35:00.654321Z",
  "last_checked_at": "2026-10-12T09:35:00.654321Z",
  "unverified_at": null,
  "next_check_at": "2026-10-13T09:35:00.654321Z",
  "last_failure_code": null,
  "capture_mode": "off",
  "sso_routing_enabled": false,
  "created_at": "2026-10-12T09:30:00.123456Z",
  "updated_at": "2026-10-12T09:35:00.654321Z",
  "version": 2
}
```

## 오류

| HTTP | code | 발생 조건 |
|---|---|---|
| 404 | `not_found` | 이 환경에 해당 ID의 조직 도메인이 없습니다. |
| 401 | `unauthenticated` | 자격 증명이 없거나, 잘못되었거나, 폐기되었습니다. |
| 403 | `insufficient_permissions` | 자격 증명에 필요한 권한이 없습니다. |
| 429 | `rate_limited` | 요청 한도를 초과했습니다. `Retry-After` 기간 후에 다시 시도하세요. |
| 503 | `service_unavailable` | 종속 서비스를 일시적으로 사용할 수 없습니다. `Retry-After` 기간 후에 다시 시도하세요. |

## 예시

```bash
curl https://api.eu.keenauth.com/v1/organization-domains/odm_01j9xk3m7q8r2s4t6v8w0y2z4c \
  -H "Authorization: Bearer $KEENAUTH_SECRET_KEY"
```
